package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 vehicle
 * 
 * @author wms
 * @date 2022-10-13
 */
@TableName("vehicle")
public class Vehicle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 载具编码 */
    @Excel(name = "载具编码")
    @TableField("vehicle_id")
    private String vehicleId;

    /** 工单号 */
    @Excel(name = "工单号")
    @TableField("order_id")
    private String orderId;

    /** 已出数量 */
    @Excel(name = "已出数量")
    @TableField("finish_num")
    private BigDecimal finishNum;

    /** 载具入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "载具入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("vehicle_in_time")
    private Date vehicleInTime;

    /** 载具出库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "载具出库时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("vehicle_out_time")
    private Date vehicleOutTime;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /** 站台识别码 */
    @TableId(value = "stand_code", type = IdType.ASSIGN_UUID)
    private String standCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("stand_id")
    private String standId;

    public void setVehicleId(String vehicleId) 
    {
        this.vehicleId = vehicleId;
    }

    public String getVehicleId() 
    {
        return vehicleId;
    }
    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setFinishNum(BigDecimal finishNum) 
    {
        this.finishNum = finishNum;
    }

    public BigDecimal getFinishNum() 
    {
        return finishNum;
    }
    public void setVehicleInTime(Date vehicleInTime) 
    {
        this.vehicleInTime = vehicleInTime;
    }

    public Date getVehicleInTime() 
    {
        return vehicleInTime;
    }
    public void setVehicleOutTime(Date vehicleOutTime) 
    {
        this.vehicleOutTime = vehicleOutTime;
    }

    public Date getVehicleOutTime() 
    {
        return vehicleOutTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setStandCode(String standCode) 
    {
        this.standCode = standCode;
    }

    public String getStandCode() 
    {
        return standCode;
    }
    public void setStandId(String standId) 
    {
        this.standId = standId;
    }

    public String getStandId() 
    {
        return standId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("vehicleId", getVehicleId())
            .append("orderId", getOrderId())
            .append("finishNum", getFinishNum())
            .append("vehicleInTime", getVehicleInTime())
            .append("vehicleOutTime", getVehicleOutTime())
            .append("status", getStatus())
            .append("standCode", getStandCode())
            .append("standId", getStandId())
            .toString();
    }
}
